<?php

function setupad_my_ads_tab() {

    include(SETUPAD_BASE_PATH . 'admin/includes/database/create-update-ad-unit.php');

    $table = new Setupad_List_Table();
    $table->prepare_items();

    $message = '';

    if ('delete' === $table->current_action() && isset($_REQUEST['id'])) {
        $countIds= is_array($_REQUEST['id'])? count($_REQUEST['id']):1;
        $message = sprintf(__('Items deleted: %d', 'custom_table_example'), $countIds);
    }
    ?>
    <div class="wrap">
        <?php setupad_navigation_menu('ad-list'); ?>
        <?php if ($message) {
          echo  '<div class="updated below-h2" id="message"><p>' . esc_html($message) . '</p></div>';
        } ?>
        <?php if (!empty($notice)): ?>
            <div id="notice" class="error"><p><?php echo esc_html($notice) ?></p></div>
        <?php endif;?>
        <?php if (!empty($message_create_ad_units)): ?>
            <div id="message" class="updated"><p><?php echo esc_html($message_create_ad_units) ?></p></div>
        <?php endif;?>

        <div class="stpd-tab-contents">
            <form id="setupads-table" method="GET">
                <input type="hidden" name="page" value="<?php echo esc_attr($_REQUEST['page']) ?>"/>
                <?php $table->display() ?>
            </form>
        </div>
    </div>

<?php
}

