<?php

function setupad_lazy_load($placement_content, $placement_id){
    //Extract only javascript from placements
    $doc = new DOMDocument();
    //Silenced warning message, because it throws warning if "style" attribute is used, but still parses HTML fine
    @$doc->loadHTML('<div>'.$placement_content.'</div>', LIBXML_HTML_NOIMPLIED | LIBXML_HTML_NODEFDTD);
    $xpath = new DOMXpath($doc);

    $lazy_loaded_placement_js = "";
    foreach($xpath->query('//script[string-length(text()) > 1]') as $javaScript) {
        $lazy_loaded_placement_js .= $javaScript->nodeValue;
    }

    //Extract everything except javascript
    $script = $doc->getElementsByTagName('script');
    $remove = [];
    foreach($script as $item) { $remove[] = $item; }
    foreach ($remove as $item) { $item->parentNode->removeChild($item); }
    $html = $doc->saveHTML();

    $lazy_loaded_placement = '<div id="lazy-loaded-ad-placement-'.$placement_id.'">
        <script>
            inView("#lazy-loaded-ad-placement-'.$placement_id.'").once(\'enter\', (function () {
                document.getElementById("lazy-loaded-ad-placement-'.$placement_id.'").innerHTML += `'.$html.'`;
                '.$lazy_loaded_placement_js.'
            }));
        </script>
    </div>';

    return $lazy_loaded_placement;
}