<?php
include_once(SETUPAD_BASE_PATH . 'public/includes/helper-functions.php');

$setupad_post_count = 1;
$post_ids = array();
function setupad_between_posts(){
    if (setupad_page_check() && setupad_page_check() != "page" && setupad_page_check() != "single"){
        global $post_ids;

        if (!defined ('first_post_check')) {
            define ('first_post_check', true);
            $post_ids[] = get_the_ID();
        } else {
            global $setupad_rows, $setupad_post_count;

            foreach ( $setupad_rows as $row ) {
                if (!$row->setupad_insertion_pages || !in_array(setupad_page_check(),explode(',',$row->setupad_insertion_pages))) continue; //page check
                if (setupad_page_check() == 'post_page') continue;

                if ($row->setupad_position == "between_posts") {

                    $position = $row->setupad_block_position;
                    $repeated_position = setupad_get_positions($row->setupad_multiple_block_position, false, false);
                    $positions = setupad_get_positions($position, false, true);

                    $adContents = setupad_get_ad_contents($row);

                    if (count($post_ids) && in_array(get_the_ID(), $post_ids)) {
                        return;
                    } else {
                        array_push($post_ids, get_the_ID());
                    }

                    if ($repeated_position) {
                        if ($setupad_post_count % $repeated_position == 0 && $adContents){
                            print "<div class='stpd_between_posts'>";
                            print $adContents;
                            print "</div>";
                        }
                    } else {
                        if ($position == 0 || in_array($setupad_post_count, $positions) && $adContents) {
                            print "<div class='stpd_between_posts'>";
                            print $adContents;
                            print "</div>";
                        }
                    }
                }
            }
            $setupad_post_count++;
        }
    }
}
add_action( 'the_post', 'setupad_between_posts');